Changeset 114861 for trunk/dports/aqua


Ignore:
Timestamp:
Dec 18, 2013, 6:56:01 AM (6 years ago)
Author:
ryandesign@…
Message:

vineserver: replaced_by vineserver3 on Leopard and older

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/aqua/vineserver/Portfile

    r113395 r114861  
    4747
    4848if {${name} eq ${subport}} {
    49     conflicts           ${name}3
    5049    version             4.01
    5150    revision            0
    5251    cvs.date            {"2013-10-02 GMT"}
    5352
    54     pre-fetch {
    55         if {${os.platform} eq "darwin" && ${os.major} < 10} {
    56             ui_error "${subport} @${version} requires Mac OS X 10.6 or newer. Try the ${name}3 port instead."
    57             return -code error "incompatible Mac OS X version"
     53    platform darwin {
     54        if {${os.major} < 10} {
     55            replaced_by ${name}3
     56            pre-fetch {
     57                ui_error "${subport} @${version} requires Mac OS X 10.6 or newer. Try the ${name}3 port instead."
     58                return -code error "incompatible Mac OS X version"
     59            }
     60        } elseif {${os.major} == 10} {
     61            conflicts   ${name}3
    5862        }
    5963    }
     
    6771
    6872subport ${name}3 {
    69     conflicts           ${name}
    7073    version             3.12
    7174    revision            0
     
    7679                        patch-${subport}-OSXvnc-server-rfb.h.diff
    7780
    78     pre-fetch {
    79         if {${os.platform} eq "darwin" && ${os.major} > 10} {
    80             ui_error "${subport} @${version} requires Mac OS X 10.6 or older. Try the ${name} port instead."
    81             return -code error "incompatible Mac OS X version"
     81    platform darwin {
     82        if {${os.major} > 10} {
     83            pre-fetch {
     84                ui_error "${subport} @${version} requires Mac OS X 10.6 or older. Try the ${name} port instead."
     85                return -code error "incompatible Mac OS X version"
     86            }
     87        } elseif {${os.major} == 10} {
     88            conflicts   ${name}
    8289        }
    8390    }
Note: See TracChangeset for help on using the changeset viewer.